#
# spec file for package openparamon
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openparamon
Version:        1.0.1
Release:        8.2
Summary:        Just for monitor the node
License:        GPL-3.0
Group:          System/Monitoring
Url:            http://sourceforge.net/projects/openparamon
Source:         %{name}-%{version}.tar.gz
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
#You can get the source code from http://svn.code.sf.net/p/openparamon/code/trunk or svn://svn.code.sf.net/p/openparamon/code/trunk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Paramon is a visual program for monitoring CPU USED time,
CPU SYS+WA time, memory used rate, SWAP used rate,
net send/recv speed(MB/s) and disk read/write speed(MB/s).
Paramon UI is dependent on Qt library.

%prep
%setup -q

%build
echo 'QT += widgets' >> paramon.pro
qmake-qt5 QMAKE_CXXFLAGS="%optflags"
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot}  install
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 paramon.1 %{buildroot}%{_mandir}/man1/
%suse_update_desktop_file -i paramon

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%{_bindir}/paramon
%{_mandir}/man1/paramon.1.gz
%{_datadir}/applications/paramon.desktop

%changelog
* Wed Apr 29 2015 crrodriguez@opensuse.org
- Switch to Qt5, no source code changes needed.
* Mon Oct 14 2013 lihy@paratera.com
- Rename the file paramon.spec to openparamon.spec and
  paramon.changes to openparamon.changes to match the package name
- Modify the openparamon.spec changing the build name from
  'paramon' to 'openparamon'
* Wed Sep 11 2013 lihy@paratera.com
- Correct some problems in paramon.spec
* Thu Aug  8 2013 lihy@paratera.com
- See "Paramon 1.0.1 (2013.08.07)" in ChangeLog for more details
* Wed Aug  7 2013 lihy@paratera.com
- See "Paramon 1.0.0 (2013.08.02)" in ChangeLog for more details
